#!/bin/sh

set -e

if [ "$1" = "upgrade" ] && dpkg --compare-versions "$2" lt "1.10.1+git20130823-0ubuntu1~"; then
    # Stop openvswitch prior to upgrade as this version
    # provides an upstart configuration instead.
    invoke-rc.d openvswitch-switch stop
fi

#DEBHELPER#

exit 0
